Skip to main content
GET
/
contact
/
list
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "page": "1",
    "limit": "10",
    "search_query": "ava"
}

response = client.contacts.list(**payload)
print(response)
{
  "contact_list": [
    {
      "id": "69f9a8689a75ace1c01dc475",
      "name": "Ava Patel",
      "email": "ava.patel@example.com",
      "phone": "+1 5551234567",
      "created_at": "2026-05-05 08:20:56.125000"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total_count": 1,
    "total_pages": 1,
    "has_next": false,
    "has_prev": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
Example:

1

limit
integer
default:10

Contacts per page (1-100)

Required range: 1 <= x <= 100
Example:

10

search_query
string

Search text

Example:

"ava"

Response

Contacts returned

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.